import 'package:flutter/cupertino.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:oktoast/oktoast.dart';

import 'fx_text.dart';

class FxUtils {
  FxUtils._();

  static String toWeightString(int weight) => (weight / 1000).toStringAsFixed(2);

  static void showToast(String? text) {
    if (FxUtils.isTextEmpty(text)) return;
    var widget = Container(
        constraints: const BoxConstraints(minHeight: 36, minWidth: 172),
        decoration: BoxDecoration(borderRadius: BorderRadius.circular(2), color: Colors.black.withOpacity(0.6)),
        child: Padding(
          padding: const EdgeInsets.symmetric(vertical: 11, horizontal: 11),
          child: FXText(text!, textAlign: TextAlign.center, style: FXText.subtitle.apply(color: Colors.white)),
        ));
    showToastWidget(widget);
  }

  static bool isTextEmpty(String? text) {
    return (text == null) || text.isEmpty;
  }

  static void log(Object? object){
    if(!kReleaseMode) {
      print(object);
    }
  }
}