import 'package:flutter/material.dart';

import 'fx_colors.dart';
import 'fx_text.dart';

class Toolbar extends AppBar {
  final String titleStr;
  final bool showBack;
  final double height;
  final List<Widget> actions;
  final PreferredSizeWidget? bottom;
  final Function? backButtonAction;

  Toolbar({Key? key, this.titleStr = '', this.height = 48, this.showBack = true, this.bottom, this.actions = const [], this.backButtonAction = null})
      : super(
            key: key,
            centerTitle: true,
            toolbarHeight: height,
            elevation: 0,
            backgroundColor: FXColor.white,
            title: FXText(titleStr, style: FXText.title_black),
            actions: actions,
            leading: showBack
                ? Builder(builder: (context) {
                    return IconButton(
                        splashColor: Colors.transparent,
                        highlightColor: Colors.transparent,
                        padding: const EdgeInsets.all(6),
                        icon: const ImageIcon(AssetImage('images/icon_back.png'), color: FXColor.black),
                        onPressed: () {
                          backButtonAction?.call();
                          Navigator.maybePop(context);
                        });
                  })
                : null,
            bottom: bottom);
}
